Package com.sun.jna.platform.unix

## Class X11.XGCValues

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XGCValues

- Enclosing interface:
    X11

      @FieldOrder({"function","plane_mask","foreground","background","line_width","line_style","cap_style","join_style","fill_style","fill_rule","arc_mode","tile","stipple","ts_x_origin","ts_y_origin","font","subwindow_mode","graphics_exposures","clip_x_origin","clip_y_origin","clip_mask","dash_offset","dashes"})
      public static class X11.XGCValues
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `arc_mode` |
    `NativeLong` | `background` |
    `int` | `cap_style` |
    `X11.Pixmap` | `clip_mask` |
    `int` | `clip_x_origin` |
    `int` | `clip_y_origin` |
    `int` | `dash_offset` |
    `byte` | `dashes` |
    `int` | `fill_rule` |
    `int` | `fill_style` |
    `X11.Font` | `font` |
    `NativeLong` | `foreground` |
    `int` | `function` |
    `boolean` | `graphics_exposures` |
    `int` | `join_style` |
    `int` | `line_style` |
    `int` | `line_width` |
    `NativeLong` | `plane_mask` |
    `X11.Pixmap` | `stipple` |
    `int` | `subwindow_mode` |
    `X11.Pixmap` | `tile` |
    `int` | `ts_x_origin` |
    `int` | `ts_y_origin` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XGCValues()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### function

          public int function

    - #### plane_mask

          public NativeLong plane_mask

    - #### foreground

          public NativeLong foreground

    - #### background

          public NativeLong background

    - #### line_width

          public int line_width

    - #### line_style

          public int line_style

    - #### cap_style

          public int cap_style

    - #### join_style

          public int join_style

    - #### fill_style

          public int fill_style

    - #### fill_rule

          public int fill_rule

    - #### arc_mode

          public int arc_mode

    - #### tile

          public X11.Pixmap tile

    - #### stipple

          public X11.Pixmap stipple

    - #### ts_x_origin

          public int ts_x_origin

    - #### ts_y_origin

          public int ts_y_origin

    - #### font

          public X11.Font font

    - #### subwindow_mode

          public int subwindow_mode

    - #### graphics_exposures

          public boolean graphics_exposures

    - #### clip_x_origin

          public int clip_x_origin

    - #### clip_y_origin

          public int clip_y_origin

    - #### clip_mask

          public X11.Pixmap clip_mask

    - #### dash_offset

          public int dash_offset

    - #### dashes

          public byte dashes

  - ### Constructor Detail

    - #### XGCValues

          public XGCValues()